/* 
Theme Name: ITE Group
Theme URI: https://github.com/elementor/hello-theme-child/
Description: ITE Group is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: itegroup
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

a:hover,
.woocommerce-MyAccount-navigation ul li a:hover {
	color: #015288;
}

.woocommerce-MyAccount-navigation ul li.is-active a {
	color: #015288;
	font-weight: 600;
}

.woocommerce-checkout input:not([type="email"]) {
	text-transform: uppercase;
}

.woocommerce-checkout input::placeholder {
    text-transform: none;
}

.button,
a.added_to_cart {
	border-width: 2px !important;
	border-style: solid !important;
}

.button:hover,
a.added_to_cart:hover {
    border: 2px solid #015288 !important;
    color: #015288 !important;
}

a.added_to_cart {
	font-weight: 600;
}

.woocommerce .oceanwp-toolbar {
	padding: 0 !important;
    border-top: none !important;
    border-bottom: none !important;
    margin-bottom: 0 !important;
}

.woocommerce-notices-wrapper .woocommerce-error {
	flex-direction: row !important;
}

.woocommerce-LostPassword.lost_password a:hover,
.woocommerce-CustomRegistration.lost_password a:hover {
	color: #015288;
}

.eshop-menu-link .elementor-icon-box-wrapper {
    display: flex;
    align-items: center;
}

.eshop-menu-link .elementor-icon-box-wrapper .elementor-icon-box-icon {
	display: inline-flex !important;
    flex: 0 0 auto;
}

.eshop-menu-link .elementor-icon-box-wrapper .elementor-icon-box-title > a {
    color: inherit;
}

.elementor-field-type-select.elementor-field-group-lloji_aktivitetit .elementor-select-wrapper {
    position: relative;
    flex-wrap: wrap;
}

.elementor-field-type-select.elementor-field-group-lloji_aktivitetit .select-caret-down-wrapper {
    top: 4.5px !important;
    transform: none !important;
}

@media only screen and (max-width: 1023px) {
    .ite-menu-section > .elementor-container > div:nth-child(1) {
        flex-basis: 100%;
    }
    
    .ite-menu-section > .elementor-container > div:nth-child(2) {
        flex-grow: 1;
        width: 50%;
    }
    
    .ite-menu-section > .elementor-container > div:nth-child(3),
    .ite-menu-section > .elementor-container > div:nth-child(4){
        width: 10%;
        min-width: 80px;
    }
}

.woocommerce #order_review .shipping-pickup-store .select2-container {
	text-align: left;
}

.woocommerce table.shop_table td {
    text-transform: none !important;
}

/* Hide checkout fields for local pickup. */
.hide_pickup {
    display: none !important;
}

.header-search-icon {
	margin-left: auto;
	cursor: pointer;
	z-index: 1;
}

.header-search-form {
	/*
	display: none;
	position: absolute;
	right: 45px;
	top: 50%;
	transform: translatey(-50%);
	*/
	flex-grow: 1;
}

.header-search-form .aws-search-form {
	height: auto !important;
}
.header-search-form .aws-search-field {
	flex-grow: 1;
	height: 38px;
	padding: 12px 16px;
	border-width: 0 !important;
	border-radius: 20px !important;
	background-color: #f1f1f4;
	font-size: 16px;
	width: 100%;
	max-width: none;
}

.header-search-form .aws-search-field:focus {
	border-width: 1px !important;
}

.header-cart-icon {
    display: flex;
    justify-content: end;
	margin-left: auto;
}

.header-mobile-info {
	position: fixed;
	bottom: 0;
	width: 100%;
	z-index: 1000;
}

.header-mobile-search-form .aws-search-field {
	height: 35px;
	border-radius: 20px !important;
	background-color: #ffffff;
	font-size: 16px;
	max-width: 200px;
}

.woosw-btn-text {
	display: none;
}

article.entry-content div.product > .entry-summary .woosw-btn-text {
	display: initial !important;
}

.woosw-btn {
	background-color: transparent;
	border: none;
	padding: 0;
	font-size: 24px;
	z-index: 10;
	position: absolute;
	right: 0;
	top: 20px;
}

article.entry-content div.product > .entry-summary .woosw-btn {
	position: initial !important;
	right: auto !important;
	top: auto !important;
}

.woosw-btn-added .woosw-btn-icon {
	color: #009177;
}

.ite-brand-logo-single {
	position: absolute;
	bottom: 5px;
	left: 5px;
	z-index: 10;
}

.ite-brand-logo-single > img {
	max-height: 20px;
}

#scroll-top {
	bottom: 20px !important;
}

.ite-whatsapp-button-wrapper {
	position: fixed;
    left: 20px;
    bottom: 20px;
    z-index: 999999;
}
.ite-whatsapp-button-wrapper a {
	display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 15px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    background: #25D366;
    padding: 15px;
    border-radius: 20px;
}

body:not(.logged-in) .aws_result_price {
	display: none;
}

.gt_switcher_wrapper {
	top: auto !important;
	bottom: 125px;
    right: 20px !important;
	display: flex;
    flex-direction: column;
    background: rgba(0,0,0,.4);
    padding: 7px;
    border-radius: 10px;
}

@media only screen and (max-width: 480px) {
	#scroll-top {
		width: 40px !important;
    	height: 40px !important;
		line-height: 40px !important;
    	right: 20px !important;
	}
}

@media only screen and (max-width: 1024px) {
	.ite-whatsapp-button-wrapper,
	#scroll-top {
		bottom: 74px !important;
	}
}

@media only screen and (min-width: 1025px) {
	.gt_switcher_wrapper {
		bottom: 75px !important;
	}
}

@media only screen and (max-width: 768px) {
	.ite-whatsapp-button-wrapper a > span {
		display: none;
	}
}

/* shop page */
@media only screen and (min-width: 960px) {
	body.woocommerce.archive .oceanwp-off-canvas-filter {
		display: none;
	}
	
	.produkte-hide-desktop {
	    display: none;
    }
}
@media only screen and (max-width: 959px) {
	body.woocommerce.archive #right-sidebar {
		display: none;
	}
}

/* New styles */
.mt_auto {
	margin-top: auto !important;
}
.suptitle .elementor-heading-title {
    position: relative;
	padding-left: 16px;
}
.suptitle .elementor-heading-title:before {
    content: "";
    width: 6px;
    height: 6px;
    background-color: var(--e-global-color-primary);
    display: block;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}
.menu_header_mobile nav.elementor-nav-menu__container {
    height: 100lvh;
    width: 300px !important;
    padding-top: 60px;
    position: fixed !important;
    max-height: 100lvh !important;
    transform: translateX(-100%) !important;
	transition: transform 0.3s ease-in-out !important;
	top: 0 !important;
}
.menu_header_mobile nav.elementor-nav-menu__container .elementor-nav-menu {
	padding: 15px;
}
.menu_header_mobile .elementor-menu-toggle {
	z-index: 99999;
}
.menu_header_mobile:has(.elementor-menu-toggle.elementor-active) nav.elementor-nav-menu__container {
	transform: translateX(0) !important;
}
.menu_header_mobile:has(.elementor-menu-toggle.elementor-active):before {
    content: "";
    position: fixed;
    width: 100vw;
    height: 100dvh;
    display: block;
    z-index: 9996;
    background-color: #00000040;
}
.elementor-nav-menu--main .menu-item .elementor-item.elementor-item-active,
.menu_header_mobile .menu-item .elementor-item.elementor-item-active {
    border: 1px solid;
}
.elementor-widget-woocommerce-menu-cart .elementor-menu-cart__toggle .elementor-button {
    background-color: transparent !important;
	padding: 5px !important;
}

.title_h3 {
	font-size: 24px;
	line-height: 1.2;
	font-weight: 600;
	color: var(--e-global-color-text);
	margin-bottom: 24px;
}
.mr_auto,
.mr_auto > .e-con-inner {
	margin-right: auto !important;
	margin-left: 0 !important;
}
.ml_auto,
.ml_auto > .e-con-inner {
	margin-left: auto !important;
	margin-right: 0 !important;
}
.footer_policies .elementor-nav-menu > .menu-item:not(:last-child):after {
    content: "";
    width: 1px;
    height: 90%;
    background-color: #fff !important;
    display: inline-flex;
	border: none;
	margin: 0 5px;
}
.menu_footer .menu-item .elementor-item.elementor-item-active {
	border: none !important;
}
.swiper-pagination-bullet {
    background: #D9D9D9 !important;
    opacity: 1 !important;
}
.swiper-pagination-bullet-active {
    outline: 1px solid var(--dots-normal-color, #000);
    outline-offset: 4px;
	background: var(--dots-normal-color, #000) !important;
}

.cc_top_right:after {
    content: '';
    position: absolute;
    width: 200%;
    height: 200%;
    top: 20px;
    right: -85%;
    background-color: hsl(225deg 15.38% 94.9% / 85%);
    transform-origin: 54% 0;
    transform: rotate(45deg);
    z-index: 1;
}
.cc_top_right {
    background: none;
    background-color: transparent !important;
    overflow: hidden !important;
}
.cc_top_right > * {
	z-index: 2;
}
.blog_loop_item {
    height: 100% !important;
}
.loop_item_content {
    height: 100% !important;
	position: relative;
}
.loop_item_content:after {
    content: "";
    display: block;
    width: 100%;
    height: 10px;
    background-color: var(--e-global-color-secondary);
    position: absolute;
    bottom: 0;
    max-width: 0%;
	transition: max-width 0.4s ease-in-out;
}
.blog_loop_item:hover .loop_item_content:after {
	max-width: 100%;
}
.loop_item_content .elementor-widget-button {
    margin-top: auto;
}
.blog_loop_item:hover {
	box-shadow: 0px 4px 12px 0px #0000001F;
}
.new-header-search-form {
    max-width: 680px !important;
    width: 100% !important;
}
.new-header-search-form .aws-search-field {
    background-color: #fff;
	color: #757575 !important;
	font-size: 14px;
	padding: 12px 16px;
}
.category_banner {
    grid-row: span 2;
}
.category_card {
    position: relative;
}
.category_card:after {
    content: "";
    display: block;
    width: 100%;
    height: 10px;
    background-color: var(--e-global-color-secondary);
    position: absolute;
    bottom: 0;
    max-width: 0%;
    transition: max-width 0.4s ease-in-out;
}
.category_card:hover:after {
    max-width: 100%;
}
.search_on_popup .aws-search-field {
    background: #F0F1F4;
    border: none;
    padding: 12px 16px;
    font-size: 12px;
}

.where_are_we .e-n-tabs-heading {
    flex: 1 0 380px !important;
}
.where_are_we .e-n-tabs-heading button {
    justify-content: space-between;
}

.blog_archive nav.elementor-pagination {
    margin-top: 64px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
}
.blog_archive .page-numbers {
    display: flex;
    min-width: 38px;
    height: 38px;
    justify-content: center;
    align-items: center;
    background-color: #F0F1F4;
	color: #535353;
    font-size: 18px;
    line-height: 24px;
}
.blog_archive .page-numbers.current {
    background-color: var(--e-global-color-secondary) !important;
    color: #fff;
}
.blog_archive .page-numbers.prev:after {
    content: url(/wp-content/themes/oceanwp-child-theme-master/assets/img/prev.svg);
    width: 52px;
    height: 38px;
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: block;
}
.blog_archive .page-numbers.next:after {
    content: url(/wp-content/themes/oceanwp-child-theme-master/assets/img/next.svg);
    width: 52px;
    height: 38px;
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: block;
}

.blog_archive .page-numbers.prev, 
.blog_archive .page-numbers.next {
    min-width: 52px;
    position: relative;
}
#breadcrumbs span.breadcrumb_last {
    color: #0A4B83;
}

/* .menu_engineering a.elementor-item.elementor-item-active {
    border: none !important;
} */

.elementor-button .elementor-button-icon svg:not(.e-eicon-cart-medium) {
    width: 100%;
    height: 16px;
}

@media(max-width: 767px) {
    .menu_engineering {
        width: auto !important;
        display: inline-flex !important;
    }
    .engineering_back {
        width: auto !important;
        display: inline-flex !important;
        margin-left: auto !important;
    }
    .logo_engineering {
        margin-bottom: 25px !important;
    }
    .subheader .e-con-inner {
        display: grid !important;
        grid-template-columns: auto 1fr !important;
    }
}
@media (max-width: 768px) {
	.projects_home .elementor-swiper-button {
		display: none !important;
	}
}

@media(max-width: 1024px) {
	.header_menu nav.elementor-nav-menu--dropdown {
		position: absolute;
		z-index: 10;
		width: 300px;
		top: 30px;
		left: -16px;
	}
}